Package proton :: Module handlers

[frames] | no frames]

# Module handlers

source code

Classes
| OutgoingMessageHandler A utility for simpler and more intuitive handling of delivery events related to outgoing i.e.
| Reject An exception that indicate a message should be rejected
| Release An exception that indicate a message should be rejected
| Acking
| IncomingMessageHandler A utility for simpler and more intuitive handling of delivery events related to incoming i.e.
| EndpointStateHandler A utility that exposes 'endpoint' events i.e.
| MessagingHandler A general purpose handler that makes the proton-c events somewhat simpler to deal with and/or avoids repetitive tasks for common use cases.
| TransactionHandler The interface for transaction handlers, i.e.
| TransactionalClientHandler An extension to the MessagingHandler for applications using transactions.
| CFlowController
| CHandshaker
| IOHandler
| PythonIO

Functions

recv_msg(delivery) | source code

Variables
| __package__ = ``'``proton``'``